import type { AxiosInstance } from 'axios';
import type { ClientOptions } from '../interfaces';
export declare class APIBase {
    protected readonly apiClient: AxiosInstance;
    protected readonly options: ClientOptions;
    constructor(apiClient: AxiosInstance, options: ClientOptions);
    /**
     * Set a new API key.
     * @param apiKey The new API key
     */
    setApiKey(apiKey: string): void;
    /**
     * Set a new API URL.
     * @param newUrl The new API url
     */
    setApiUrl(newUrl: string): void;
    protected checkApiKey(apiName?: string): void;
}
