"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIBase = void 0;
class APIBase {
    constructor(apiClient, options) {
        this.apiClient = apiClient;
        this.options = options;
    }
    /**
     * Set a new API key.
     * @param apiKey The new API key
     */
    setApiKey(apiKey) {
        this.options.apiKey = apiKey;
    }
    /**
     * Set a new API URL.
     * @param newUrl The new API url
     */
    setApiUrl(newUrl) {
        this.apiClient.defaults.baseURL = newUrl;
    }
    checkApiKey(apiName) {
        apiName = `the "${apiName}"` || 'this';
        if (!this.options.apiKey) {
            throw new Error(`An API key needs to be set in order to use ${apiName} API`);
        }
    }
}
exports.APIBase = APIBase;
//# sourceMappingURL=APIBase.js.map