import type { AxiosInstance } from 'axios';
import type { ClientOptions, LibrariesIOResult, PaginationOptions, Platform } from '../interfaces/';
import { APIBase } from './APIBase';
export declare class PlatformAPI extends APIBase {
    constructor(apiClient: AxiosInstance, options: ClientOptions);
    /**
     * Get list of supported package managers.
     * @see https://libraries.io/api#platforms
     * @param options Pagination options
     */
    getPlatforms(options?: PaginationOptions): Promise<LibrariesIOResult<Platform[]>>;
}
